Bug 974860 - debugedit needs to handle arm64 relocations
debugedit needs to handle arm64 relocations
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2013-06-16 12:42 EDT by Kyle McMartin
Modified: 2015-08-31 23:54 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 03:55:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
handle absolute 32-bit secrel reloc on arm64 (418 bytes, patch)
2013-06-16 12:42 EDT, Kyle McMartin
no flags Details | Diff

  None (edit)
Description Kyle McMartin 2013-06-16 12:42:16 EDT
Created attachment 761861 [details]
handle absolute 32-bit secrel reloc on arm64

debugedit needs to handle aarch64's 32-bit secrel absolute relocation the same as other architectures...

attached is a patch to do that, which allows find-debuginfo.sh to run against the kernel on aarch64.

regards, kyle
Comment 1 Panu Matilainen 2013-06-17 03:55:52 EDT
Added to rpm-4.11.1-0.rc1.4.fc20 and also applied upstream, thanks for the patch.

Note You need to log in before you can comment on or make changes to this bug.